Retrieves [metadata of a folder](https://docs.cloud.google.com/storage/docs/json_api/v1/folders.md.txt#resource) within a bucket with hierarchical namespace enabled.

## Required permissions

The authenticated user must have the `storage.folders.get`
IAM permission to use this method.

## Request

### HTTP request

```
GET https://storage.googleapis.com/storage/v1/b/bucket/folders/folder
```

In addition to [standard query parameters](https://docs.cloud.google.com/storage/docs/json_api/v1/parameters.md.txt#query),
the following parameters apply to this method.

To see an example of how to include query parameters in a request, see the
[JSON API Overview](https://docs.cloud.google.com/storage/docs/json_api.md.txt#query_parameters) page.

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `bucket` | `string` | The parent bucket of the folder. |
| `folder` | `string` | The URL-encoded name of the folder. For example, `example-folder/` URL-encoded as `example-folder%2F`. If the folder is nested, for example, `example-folder1/example-folder2/`, then the URL-encoded name is `example-folder1%2Fexample-folder2%2F`. |
| **Optional query parameters** |||
| `ifMetagenerationMatch` | `long` | If set, the method returns the folder if its metageneration matches this value. |
| `ifMetagenerationNotMatch` | `long` | If set, the method returns the folder if its metageneration does not match this value. |

### Request body

Don't supply a request body with this method.

## Response

If successful, this method returns a [folder
resource](https://docs.cloud.google.com/storage/docs/json_api/v1/folders#resource) in the response body.

For information about status and error codes returned by this API, see the
[reference page](https://docs.cloud.google.com/storage/docs/json_api/v1/status-codes.md.txt).

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.